<?php if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

global $product;

if ( ! $product ) {
	return;
}

$type = Iconic_WW_Core_Settings::get_setting( 'buttons_style_add_to_wishlist_type' );

$classes = array(
	'iconic-ww-button',
	'iconic-ww-button--add-to-wishlist',
);

if ( $type === 'button' ) {
	$classes[] = 'button';
}
?>

<a href="javascript: void( 0 );" data-iconic_ww_action="get_add_to_wishlist_modal" data-iconic_ww_args="<?php echo Iconic_WW_Helpers::get_json_args( array(
	'product_id' => $product->get_id(),
) ); ?>" class="<?php echo esc_attr( implode( ' ', $classes ) ); ?>">
	<?php Iconic_WW_Settings::output_icon( 'add_to_wishlist' ); ?>
	<?php printf( __( 'Add to %s', 'iconic-ww' ), Iconic_WW_Wishlists::get_wishlists_label( 'singular' ) ); ?>
</a>