<?php if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

$type         = empty( $type ) ? 'create' : $type;
$wishlist     = empty( $wishlist ) ? '' : $wishlist;
$include_args = array(
	'wishlist' => $wishlist,
);
?>

<form action="" class="iconic-ww-form iconic-ww-form--styled iconic-ww-form--create-wishlist" data-iconic-ww-ajax-form="edit_wishlist">
	<div class="iconic-ww-modal__scroll">
		<?php Iconic_WW_Helpers::include_template( 'components/form-row-name', $include_args ); ?>
		<?php Iconic_WW_Helpers::include_template( 'components/form-row-status', $include_args ); ?>
		<?php Iconic_WW_Helpers::include_template( 'components/form-row-user', $include_args ); ?>

		<input type="hidden" name="iconic_ww_edit_type" value="<?php echo esc_attr( $type ); ?>">

		<?php if ( $type === 'edit' ) { ?>
			<?php $wishlist_id = empty( $wishlist ) ? '' : $wishlist->get( 'ID' ); ?>

			<input type="hidden" name="iconic_ww_wishlist_id" value="<?php echo esc_attr( $wishlist_id ); ?>">
		<?php } ?>
	</div>
	<div class="iconic-ww-modal__footer">
		<button class="iconic-ww-button button" type="submit">
			<?php if ( $type === 'create' ) { ?>
				<?php Iconic_WW_Settings::output_icon( 'create_wishlist' ); ?>
				<?php printf( __( 'Create %s', 'iconic-ww' ), Iconic_WW_Wishlists::get_wishlists_label( 'singular' ) ); ?>
			<?php } else { ?>
				<?php _e( 'Save Changes', 'iconic-ww' ); ?>
			<?php } ?>
		</button>
	</div>
</form>