<?php if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

$name = empty( $wishlist ) ? '' : $wishlist->get( 'post_title' );
?>

<div class="iconic-ww-form__row">
	<label for="iconic-ww-wishlist-title" class="iconic-ww-form__label">
		<?php printf( __( '%s Name', 'iconic-ww' ), Iconic_WW_Wishlists::get_wishlists_label( 'singular' ) ); ?>:
	</label>
	<input type="text" id="iconic-ww-wishlist-title" class="iconic-ww-form__field iconic-ww-form__field--text" placeholder="<?php echo esc_attr( sprintf( __( 'E.g. My %s', 'iconic-ww' ), Iconic_WW_Wishlists::get_wishlists_label( 'singular' ) ) ); ?>" name="iconic_ww_wishlist_name" value="<?php echo esc_attr( $name ); ?>">
</div>