<?php if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

$statuses = Iconic_WW_Wishlists::get_statuses();
$privacy  = empty( $wishlist ) ? 'publish' : $wishlist->get( 'post_status' );
?>

<div class="iconic-ww-form__row">
	<label for="iconic-ww-wishlist-privacy" class="iconic-ww-form__label">
		<?php printf( __( '%s Privacy', 'iconic-ww' ), Iconic_WW_Wishlists::get_wishlists_label( 'singular' ) ); ?>:
	</label>
	<ul id="iconic-ww-wishlist-privacy" class="iconic-ww-form__radios">
		<?php foreach ( $statuses as $value => $status ) { ?>
			<li>
				<label>
					<input type="radio" name="iconic_ww_wishlist_privacy" value="<?php echo esc_attr( $value ); ?>" <?php checked( $privacy, $value ); ?>>
					<?php echo $status['label']; ?>
					<span><?php echo $status['description']; ?></span>
				</label>
			</li>
		<?php } ?>
	</ul>
</div>