<?php if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

$user_name = empty( $wishlist ) ? '' : $wishlist->get( 'meta', array( 'key' => 'user_name' ) );
$email     = empty( $wishlist ) ? '' : $wishlist->get( 'meta', array( 'key' => 'email' ) );
$privacy   = empty( $wishlist ) ? 'publish' : $wishlist->get( 'post_status' );
?>

<div class="iconic-ww-form__user" <?php if ( $privacy !== 'publish' ) {
	echo 'style="display: none;"';
} ?>>
	<div class="iconic-ww-form__row">
		<label for="iconic-ww-wishlist-user-name" class="iconic-ww-form__label"><?php _e( 'Your Name', 'iconic-ww' ); ?>:</label>
		<input type="text" id="iconic-ww-wishlist-user-name" class="iconic-ww-form__field iconic-ww-form__field--text" name="iconic_ww_wishlist_user_name" value="<?php echo esc_attr( $user_name ); ?>">
	</div>

	<div class="iconic-ww-form__row">
		<label for="iconic-ww-wishlist-email" class="iconic-ww-form__label"><?php _e( 'Your Email', 'iconic-ww' ); ?>:</label>
		<input type="email" id="iconic-ww-wishlist-email" class="iconic-ww-form__field iconic-ww-form__field--text" name="iconic_ww_wishlist_email" value="<?php echo esc_attr( $email ); ?>">
	</div>
</div>