<?php if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

$status = $wishlist->get( 'post_status' ); ?>

<ul class="iconic-ww-wishlist-meta">
	<li class="iconic-ww-wishlist-meta__item"><?php echo $wishlist->get( 'privacy' ); ?></li>
	<li class="iconic-ww-wishlist-meta__item"><?php echo $wishlist->get( 'user' ); ?></li>
	<?php if ( $status !== 'private' ) { ?>
		<li class="iconic-ww-wishlist-meta__item"><a href="javascript: void( 0 );" data-iconic_ww_action="get_share_wishlist_modal" data-iconic_ww_args="<?php echo Iconic_WW_Helpers::get_json_args( array(
				'wishlist_id' => $wishlist->get( 'ID' ),
			) ); ?>">Share</a></li>
	<?php } ?>
	<?php if ( $user->is_author( $wishlist ) ) { ?>
		<li class="iconic-ww-wishlist-meta__item">
			<a href="javascript: void( 0 );" data-iconic_ww_action="get_edit_wishlist_modal" data-iconic_ww_args="<?php echo Iconic_WW_Helpers::get_json_args( array(
				'wishlist_id' => $wishlist->get( 'ID' ),
			) ); ?>"><?php _e( 'Edit', 'iconic-ww' ); ?></a>
		</li>
		<li class="iconic-ww-wishlist-meta__item">
			<a href="javascript: void( 0 );" data-iconic_ww_action="get_delete_wishlist_modal" data-iconic_ww_args="<?php echo Iconic_WW_Helpers::get_json_args( array(
				'wishlist_id' => $wishlist->get( 'ID' ),
			) ); ?>"><?php _e( 'Delete', 'iconic-ww' ); ?></a>
		</li>
	<?php } ?>
</ul>
