<?php if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

if ( empty( $wishlist_id ) ) {
	return;
}

$wishlist = new Iconic_WW_Wishlist( $wishlist_id );

if ( ! $wishlist ) {
	return;
}

$items = sprintf( _n( '%d item', '%d items', $wishlist->get( 'items_count' ), 'iconic-ww' ), $wishlist->get( 'items_count' ) );
?>

<h2 class="iconic-ww-modal__title"><?php printf( __( 'Delete %s', 'iconic-ww' ), Iconic_WW_Wishlists::get_wishlists_label( 'singular' ) ); ?></h2>

<form action="" class="iconic-ww-form iconic-ww-form--styled iconic-ww-form--delete-wishlist" data-iconic-ww-ajax-form="delete_wishlist">
	<input type="hidden" name="iconic_ww_wishlist_id" value="<?php echo esc_attr( $wishlist->get( 'ID' ) ); ?>">
	<div class="iconic-ww-modal__scroll">
		<p><?php printf( __( 'Are you sure you want to delete "%s", which contains %s?', 'iconic-ww' ), $wishlist->get( 'post_title' ), $items ); ?></p>
	</div>
	<div class="iconic-ww-modal__footer">
		<button type="submit" class="iconic-ww-button button">
			<?php printf( __( 'Delete %s', 'iconic-ww' ), Iconic_WW_Wishlists::get_wishlists_label( 'singular' ) ); ?>
		</button>
	</div>
</form>